4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.PathImp

Repository path related classes and functions
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: Path |  |  |  | Functions: CreateInitialPath, QuickCreate, RepoPathToUri |  |  |  | Fields: FTSS_URI_SCHEME

## Classes

class Path
An abstraction of a path in a particular repository; provides functionality for relative path resolution, alias traversal, and non-'/' document root.
If basePath constructor arg is not None, pathString must be
relative.

### Methods

__init__(self, pathString, driver, documentRoot, basePath)
__str__(self)
getParentPath(self)
Returns a new Path instance representing the current path's parent.
normalize(self, pathString, traverseLastAlias=None)
Returns a new Path instance representing the result of resolving the given pathString (a relative path, usually), with the current path as the base.

## Functions

CreateInitialPath(documentRoot, driver)
Called to get the first path in a transaction
QuickCreate(path)
RepoPathToUri(path)

## Fields

FTSS_URI_SCHEME = 'ftss'